> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data of authenticated user.



## OpenAPI

````yaml /api-reference/openapi.json get /auth/me
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /auth/me:
    get:
      tags:
        - Authentication
      summary: Get data of authenticated user.
      operationId: get_me
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    User:
      properties:
        id:
          type: integer
          title: Id
          description: Unique Identifier of a user
        username:
          type: string
          title: Username
        avatar:
          type: string
          title: Avatar
        role:
          type: string
          title: Role
      type: object
      required:
        - id
        - username
        - avatar
        - role
      title: User
      description: Data about a user.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````